PermuteDocs
Go to Permute

Skills · organizationSkillsUpdate

Create or replace an organization skill

Organization scope. Requires skill write permission. Requires an organization-scoped request. Saves a complete Markdown file of at most 2,000 words and generates its discovery description.

PUT/v1/organization/skills/{path}
betaapiKeyorganization

When to use

Save reusable business context.

For agents

Send the complete Markdown content (at most 2,000 words). This creates or replaces the file and generates its discovery description.

Example

typescript
import { PermuteClient } from '@permute/sdk';

const orgClient = new PermuteClient({
  apiKey: process.env.PERMUTE_API_KEY!,
});

const result = await orgClient.organizationSkills.update('finance/revenue.md', {
  "content": "# Revenue reporting\n\nUse the Net revenue fact for revenue analysis."
});

Request body

json
{
  "content": "# Revenue reporting\n\nUse the Net revenue fact for revenue analysis."
}

Response

json
{
  "data": {
    "success": true,
    "message": "Updated finance/revenue.md"
  }
}